{% extends "layout.html" %}
{% import "bootstrap/wtf.html" as wtf %}
{% block title %}{{ title }}{% endblock %}
{% block head %}
	{{ super() }}
	<style>
		body {
			font-size: 16px;
		}
	</style>
{% endblock %}
{% block content %}
	<h1 class="text-center">{{ title }} - MIT42 DownloadLink</h1>
	{% if files %}
		<div class="table-responsive">
			<table class="table">
				<tr>
					<th>{{ _('id') }}</th>
					<th>{{ _('Filename') }}</th>
					<th>{{ _('Note') }}</th>
					<th>{{ _('Downloadname') }}</th>
					<th>{{ _('Save date') }}</th>
					<th>{{ _('Lifetime (in days)') }}</th>
					<th>{{ _('Action') }}</th>

				</tr>
				{% for row in files.items %}
					<tr>
						<td>{{ row.id }}</td>
						<td>{{ row.filename }}</td>
						<td>{{ row.note }}</td>
						<td>{{ row.downloadName }}</td>
						<td>{{ row.uploaddate }}</td>
						<td>{{ row.lifetime }}</td>
						<td>
							<button onclick="modal_uid('{{ row.id }}')" type="button" class="btn btn-primary btn-xs"
									data-toggle="modal"
									data-target="#genUIDUpload" data-backdrop="static" title="{{ _('generate ids') }}">
								<span class="fa fa-plus" aria-hidden="true"></span>
							</button>
							<button onclick="modal_edit_uid('{{ row.id }}', '{{ row.downloadName }}', '{{ row.note }}')"
									type="button" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#fileEdit"
									data-backdrop="static" title="{{ _('edit') }}">
								<span class="fa fa-pencil-square-o" aria-hidden="true"></span>
							</button>
							<a href="{{ url_for("file.delete", file_id=row.id) }}" class="btn-xs btn btn-danger"
							   title="{{ _('delete') }}">
								<span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
							</a>
							<a href="{{ url_for("file.show_uploads", file_id=row.id) }}" class="btn-xs btn btn-info"
							   title="{{ _('show ids') }}">
								<span class="fa fa-info-circle" aria-hidden="true"></span>
							</a>
						</td>
					</tr>
				{% endfor %}
			</table>
		</div>
	{% else %}
		<div class="container">
			<h2 class="text-danger text-center ">{{ _('No entries found') }}</h2>
		</div>
	{% endif %}
	<div class="text-right">
		{% if files.has_prev %}
			<a href="{{ url_for('file.management', file_id=f_id, page=files.prev_num) }}">
				&lt;&lt; {{ _('one page back') }}
			</a>|
		{% endif %}
		{% if files.has_next %}
			<a href="{{ url_for('file.management', file_id=f_id, page=files.next_num) }}">
				{{ _('next page') }} &gt;&gt;
			</a>
		{% endif %}
	</div>
	<br/>

	<br/>
	<div class="col-md-6">
		<!-- modal Upload-->
		<!-- Button trigger modal -->
		<button type="button" class="btn btn-success btn-lg pull-right " data-toggle="modal"
				data-target="#myModalUpload" data-backdrop="static" title="{{ _('upload file') }}">
			<span class="glyphicon glyphicon-upload" aria-hidden="true">{{ _(' Upload') }}</span>
		</button>

	</div>
	<br/>
	<br/>
	<br/>
	<div class="row small">
        <h1 class="text-center">{{ _("Legend") }}</h1>
		<div class="col-md-6" id="legend">
			<p><span class="fa fa-plus btn-primary btn btn-xs"
					 aria-hidden="true"></span>&nbsp; {{ _('Generate Downloadkeys') }}</p>

			<p><span class="fa fa-pencil-square-o btn btn-primary btn-xs" aria-hidden="true"></span>&nbsp; {{ _('Edit') }}</p>
		</div>
		<div class="col-md-2 col-md-offset-4" id="legend">
			<p><span class="glyphicon glyphicon-trash btn btn-xs btn-danger"
					 aria-hidden="true"></span>&nbsp; {{ _('Delete') }}</p>

			<p><span class="fa fa-info-circle btn btn-xs btn-info"
					 aria-hidden="true"></span>&nbsp; {{ _('Show Downloadkeys') }}</p>
		</div>
	</div>
	<!-- Modal Gernerate UID-->
	<div class="modal fade" id="genUIDUpload" tabindex="-1" role="dialog"
		 aria-labelledby="genUIDUploadLabel">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
							aria-hidden="true">&times;</span></button>
					<h4 class="modal-title" id="genUIDUploadLabel">{{ _('Generate Downloadkeys') }}</h4>
				</div>
				<div class="modal-body">
					{{ wtf.quick_form(form_uid, button_map={'submit':'success'}, action=url_for("file.gen_uid", file_id="-1"), id="form_gen_uid") }}
				</div>
			</div>
		</div>
	</div>
	<!-- modal Generate UID Ende -->
	<!-- Modal Upload -->
	<div class="modal fade" id="myModalUpload" tabindex="-1" role="dialog" aria-labelledby="myModalUploadLabel">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h4 class="modal-title" id="myModalUploadLabel">{{ _('Upload file') }}</h4>
				</div>
				<div class="modal-body">
					{{ wtf.quick_form(form, button_map={'submit':'success'}, action=url_for("file.upload"), enctype="multipart/form-data") }}
				</div>

			</div>
		</div>
	</div>
	<!-- modal Upload Ende -->

	<!-- Modal Edit Start-->
	<div class="modal fade" id="fileEdit" tabindex="-1" role="dialog"
		 aria-labelledby="fileEditLabel">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
							aria-hidden="true">&times;</span></button>
					<h4 class="modal-title" id="fileEditLabel">{{ _('Edit') }} </h4>
				</div>
				<div class="modal-body">
					{{ wtf.quick_form(form_edit, button_map={'submit':'success'}, action=url_for("file.edit", file_id="-2"), id="form_edit") }}
				</div>

			</div>
		</div>
	</div>
	<!-- modal Edit Ende -->


	<script type="text/javascript">
		const gen_uid_base_url = "{{ url_for("file.gen_uid", file_id="-1") }}";
		const edit_base_url = "{{ url_for("file.edit", file_id="-2") }}";

		function modal_uid(id) {
			var form = $('#form_gen_uid');
			form.attr('action', gen_uid_base_url.replace("-1", id));
		}
		function modal_edit_uid(id, name, note) {
			var form = $('#form_edit');
			form.attr('action', edit_base_url.replace("-2", id));
			form.find('#downloadName').val(name);
			form.find('#note').val(note);
		}
	</script>
{% endblock %}
